Subject: Re: [Pce] Pce Digest, Vol 51, Issue 13

From: Young Lee <[email-masked]>
Date: Thu, 20 Nov 2008 14:09:17 -0600

In favor of both drafts.

Young Lee

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Thursday, November 20, 2008 12:41 PM
To: [email-masked]
Subject: Pce Digest, Vol 51, Issue 13

Send Pce mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www.ietf.org/mailman/listinfo/pce
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of Pce digest..."

Today's Topics:

   1. Re: Adoption of two new Working Documents ? (Dean Cheng (dcheng))
   2. Re: Comment on draft-ietf-pce-pcep-p2mp-extensions (Quintin Zhao)
   3. Re: Comment on draft-ietf-pce-pcep-p2mp-extensions (Nic Neate)
   4. Re: Comment on draft-ietf-pce-pcep-p2mp-extensions
      (Fabien Verhaeghe)
   5. Re: Comment on draft-ietf-pce-pcep-p2mp-extensions (Nic Neate)

----------------------------------------------------------------------

Message: 1
Date: Thu, 20 Nov 2008 07:21:30 -0800
From: "Dean Cheng (dcheng)" <[email-masked]>
Subject: Re: [Pce] Adoption of two new Working Documents ?
To: "Jean Philippe Vasseur (jvasseur)" <[email-masked]>,
	<[email-masked]>
Message-ID:
	
<[email-masked]>
Content-Type: text/plain; charset="us-ascii"

Support both.

________________________________

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of JP Vasseur (jvasseur)
	Sent: Wednesday, November 19, 2008 3:05 AM
	To: [email-masked]
	Subject: [Pce] Adoption of two new Working Documents ?

	Dear WG, 

	Are you in favor or opposed to the adoption of the two following
documents as PCE WG documents ?

	draft-farrel-pce-vendor-constraints-02.txt
	
	draft-kkoushik-pce-pcep-mib-02.txt
	
	Thanks.

	JP.

-------------- next part --------------
An HTML attachment was scrubbed...
URL:
<http://www.ietf.org/pipermail/pce/attachments/20081120/87420629/attachment-
0001.htm>

------------------------------

Message: 2
Date: Thu, 20 Nov 2008 11:16:21 -0500
From: Quintin Zhao <[email-masked]>
Subject: Re: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions
To: 'Adrian Farrel' <[email-masked]>,	'Nic Neate'
	<[email-masked]>
Cc: [email-masked],	'Mohamad CHAITOU'
	<[email-masked]>, [email-masked],	[email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=us-ascii

Nic and Adrian,

Thanks for your suggestions!
 
By using the existing SVEC functionality, PCC can request the secondary P2MP
LSP path computation to protect the whole P2MP path tree by specifying the
S/N/L bit in the SVEC object. 

If we understand the new requirements you suggested for S2L sub-path
diversity, you want the PCC to be able to ask the PCE to compute secondary
P2MP path tree with partial path diversity for certain leaves or certain S2L
sub-path. 

We will address these new requirements in our next version of the draft.
 
Quintin

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Wednesday, November 19, 2008 3:49 PM
To: Nic Neate; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions

Ah, that is an interesting and valid point, Nic.

And I think one might also consider "directional diversity" for your ring 
example.

A
----- Original Message ----- 
From: "Nic Neate" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Wednesday, November 19, 2008 8:28 PM
Subject: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions

Hi,

I have a suggestion for a small extension to the PCEP P2MP draft.

I believe the base PCEP specification currently has three options for 
calculating diverse protection paths: link diverse, node diverse and SRLG 
diverse (draft-ietf-pce-pcep section 7.13.2).

In P2MP, S2L sub-path diverse is another important case.  I think it would 
be good to allow the PCC to request computation of S2L sub-path diverse 
protection paths.

This is useful when doing 1+1 protection in a ring topology, for example.

Nic

----------------------------------------------------------------------------
----

> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
> 

------------------------------

Message: 3
Date: Thu, 20 Nov 2008 16:33:33 +0000
From: Nic Neate <[email-masked]>
Subject: Re: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions
To: Quintin Zhao <[email-masked]>, Aria - Adrian Farrel Personal
	<[email-masked]>
Cc: "[email-masked]"
	<[email-masked]>,	'Mohamad CHAITOU'
	<[email-masked]>,	"[email-masked]" <[email-masked]>,
	"[email-masked]" <[email-masked]>
Message-ID:
	
<[email-masked]>
Content-Type: text/plain; charset="us-ascii"

Hi Quintin,

I don't think "partial path diversity for certain leaves" is quite the point
I was suggesting.

The idea of S2L sub-path diversity is that, when you're doing 1+1
protection, you don't need complete tree diversity.  It is sufficient just
to ensure that, for any given leaf, the S2L sub-paths to that leaf in the
two trees are diverse.  Then, following some network failure, traffic will
still be delivered to all leaves on at least one of the two trees.

Two P2MP LSPs going in opposite ways around a ring is the easiest way to
picture this.

Nic

-----Original Message-----
From: Quintin Zhao [mailto:[email-masked]]
Sent: 20 November 2008 16:16
To: Aria - Adrian Farrel Personal; Nic Neate
Cc: [email-masked]; [email-masked]; [email-masked];
'Mohamad CHAITOU'; [email-masked]; [email-masked];
[email-masked]
Subject: RE: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions

Nic and Adrian,

Thanks for your suggestions!

By using the existing SVEC functionality, PCC can request the secondary P2MP
LSP path computation to protect the whole P2MP path tree by specifying the
S/N/L bit in the SVEC object.

If we understand the new requirements you suggested for S2L sub-path
diversity, you want the PCC to be able to ask the PCE to compute secondary
P2MP path tree with partial path diversity for certain leaves or certain S2L
sub-path.

We will address these new requirements in our next version of the draft.

Quintin

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]]
Sent: Wednesday, November 19, 2008 3:49 PM
To: Nic Neate; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions

Ah, that is an interesting and valid point, Nic.

And I think one might also consider "directional diversity" for your ring
example.

A
----- Original Message -----
From: "Nic Neate" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Wednesday, November 19, 2008 8:28 PM
Subject: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions

Hi,

I have a suggestion for a small extension to the PCEP P2MP draft.

I believe the base PCEP specification currently has three options for
calculating diverse protection paths: link diverse, node diverse and SRLG
diverse (draft-ietf-pce-pcep section 7.13.2).

In P2MP, S2L sub-path diverse is another important case.  I think it would
be good to allow the PCC to request computation of S2L sub-path diverse
protection paths.

This is useful when doing 1+1 protection in a ring topology, for example.

Nic

----------------------------------------------------------------------------
----

> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce
>

------------------------------

Message: 4
Date: Thu, 20 Nov 2008 17:59:37 +0100
From: "Fabien Verhaeghe" <[email-masked]>
Subject: Re: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions
To: "'Nic Neate'" <[email-masked]>, <[email-masked]>,
	<[email-masked]>
Cc: [email-masked], [email-masked],
	[email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Hi Nic,

Just to be sure we understand, can you please confirm that the following
definition corresponds to what you name ?S2L sub-path diversity?:

For each leaf Ln the path from S to Ln in the primary P2MP LSP is Link (or
node or SRLG) diverse with the S to Ln path in the secondary P2MP LSP.

If this is correct I also think this is a good suggestion that would be
easily fulfilled by defining a new bit in the SVEC object in next draft
version.

BR

Fabien

  _____  

De : Nic Neate [mailto:[email-masked]] 
Envoy? : mercredi 19 novembre 2008 21:29
? : [email-masked]; [email-masked]
Cc : [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]
Objet : Comment on draft-ietf-pce-pcep-p2mp-extensions

Hi,

I have a suggestion for a small extension to the PCEP P2MP draft.

I believe the base PCEP specification currently has three options for
calculating diverse protection paths: link diverse, node diverse and SRLG
diverse (draft-ietf-pce-pcep section 7.13.2).

In P2MP, S2L sub-path diverse is another important case.  I think it would
be good to allow the PCC to request computation of S2L sub-path diverse
protection paths.

This is useful when doing 1+1 protection in a ring topology, for example.

Nic

-------------- next part --------------
An HTML attachment was scrubbed...
URL:
<http://www.ietf.org/pipermail/pce/attachments/20081120/e04e83bb/attachment-
0001.htm>

------------------------------

Message: 5
Date: Thu, 20 Nov 2008 18:41:09 +0000
From: Nic Neate <[email-masked]>
Subject: Re: [Pce] Comment on draft-ietf-pce-pcep-p2mp-extensions
To: Fabien Verhaeghe <[email-masked]>,
	"[email-masked]" <[email-masked]>,
	"[email-masked]"
	<[email-masked]>
Cc: "[email-masked]" <[email-masked]>,
	"[email-masked]"
	<[email-masked]>,	"[email-masked]"
	<[email-masked]>
Message-ID:
	
<[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Exactly.  I agree that a new bit in the SVEC object is the way to do this.

Thanks,

Nic

________________________________
From: Fabien Verhaeghe [mailto:[email-masked]]
Sent: 20 November 2008 17:00
To: Nic Neate; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Subject: RE: Comment on draft-ietf-pce-pcep-p2mp-extensions

Hi Nic,

Just to be sure we understand, can you please confirm that the following
definition corresponds to what you name "S2L sub-path diversity":

For each leaf Ln the path from S to Ln in the primary P2MP LSP is Link (or
node or SRLG) diverse with the S to Ln path in the secondary P2MP LSP.

If this is correct I also think this is a good suggestion that would be
easily fulfilled by defining a new bit in the SVEC object in next draft
version.

BR
Fabien

________________________________
De : Nic Neate [mailto:[email-masked]]
Envoy? : mercredi 19 novembre 2008 21:29
? : [email-masked]; [email-masked]
Cc : [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]
Objet : Comment on draft-ietf-pce-pcep-p2mp-extensions

Hi,

I have a suggestion for a small extension to the PCEP P2MP draft.

I believe the base PCEP specification currently has three options for
calculating diverse protection paths: link diverse, node diverse and SRLG
diverse (draft-ietf-pce-pcep section 7.13.2).

In P2MP, S2L sub-path diverse is another important case.  I think it would
be good to allow the PCC to request computation of S2L sub-path diverse
protection paths.

This is useful when doing 1+1 protection in a ring topology, for example.

Nic

-------------- next part --------------
An HTML attachment was scrubbed...
URL:
<http://www.ietf.org/pipermail/pce/attachments/20081120/267cb277/attachment.
htm>

------------------------------

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce

End of Pce Digest, Vol 51, Issue 13
***********************************

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce